## vamp-plugin-sdk 1.2

=== Makefile ===

# Makefile for the Vamp plugin SDK.  This builds the SDK objects,
# libraries, example plugins, and the test host.  Please adjust to
# suit your operating system requirements.

APIDIR		= vamp
SDKDIR		= vamp-sdk
HOSTEXTDIR      = vamp-sdk/hostext
EXAMPLEDIR	= examples
HOSTDIR		= host

###
### Start of user-serviceable parts
###

# Default build target (or use "make <target>" to select one).
# Targets are:
#   all       -- build everything
#   sdk       -- build all the Vamp SDK libraries for plugins and hosts
#   sdkstatic -- build only the static versions of the SDK libraries
#   plugins   -- build the example plugins (and the SDK if required)
#   host      -- build the simple Vamp plugin host (and the SDK if required)
#   test      -- build the host and example plugins, and run a quick test
#   clean     -- remove binary targets
#   distclean -- remove all targets
#
default:	all

# Compile flags
#
CXXFLAGS	:= $(CXXFLAGS) -O2 -Wall -I. -fPIC 

# ar, ranlib
#
AR		:= ar
RANLIB		:= ranlib

# Libraries required for the plugins.
# (Note that it is desirable to statically link libstdc++ if possible,
# because our plugin exposes only a C API so there are no boundary
# compatibility problems.)
#
PLUGIN_LIBS	= $(SDKDIR)/libvamp-sdk.a
#PLUGIN_LIBS	= $(SDKDIR)/libvamp-sdk.a $(shell g++ -print-file-name=libstdc++.a)

# File extension for a dynamically loadable object
#
PLUGIN_EXT	= .so
#PLUGIN_EXT	= .dll
#PLUGIN_EXT	= .dylib

# Libraries required for the host.
#
HOST_LIBS	= $(SDKDIR)/libvamp-hostsdk.a -lsndfile -ldl

# Locations for "make install".  This will need quite a bit of 
# editing for non-Linux platforms.  Of course you don't necessarily
# have to use "make install".
#
INSTALL_PREFIX	 	  := /usr
INSTALL_API_HEADERS	  := $(INSTALL_PREFIX)/include/vamp
INSTALL_SDK_HEADERS	  := $(INSTALL_PREFIX)/include/vamp-sdk
INSTALL_HOSTEXT_HEADERS	  := $(INSTALL_PREFIX)/include/vamp-sdk/hostext
INSTALL_SDK_LIBS	  := $(INSTALL_PREFIX)/lib

INSTALL_SDK_LIBNAME	  := libvamp-sdk.so.1.1.1
INSTALL_SDK_LINK_ABI	  := libvamp-sdk.so.1
INSTALL_SDK_LINK_DEV	  := libvamp-sdk.so
INSTALL_SDK_STATIC        := libvamp-sdk.a
INSTALL_SDK_LA            := libvamp-sdk.la

INSTALL_HOSTSDK_LIBNAME   := libvamp-hostsdk.so.2.1.0
INSTALL_HOSTSDK_LINK_ABI  := libvamp-hostsdk.so.2
INSTALL_HOSTSDK_LINK_DEV  := libvamp-hostsdk.so
INSTALL_HOSTSDK_STATIC    := libvamp-hostsdk.a
INSTALL_HOSTSDK_LA        := libvamp-hostsdk.la

INSTALL_PKGCONFIG	  := $(INSTALL_PREFIX)/lib/pkgconfig

# Flags required to tell the compiler to create a dynamically loadable object
#
DYNAMIC_LDFLAGS		= --static-libgcc -shared -Wl,-Bsymbolic
PLUGIN_LDFLAGS		= $(DYNAMIC_LDFLAGS)
SDK_DYNAMIC_LDFLAGS	= $(DYNAMIC_LDFLAGS) -Wl,-soname=$(INSTALL_SDK_LINK_ABI)
HOSTSDK_DYNAMIC_LDFLAGS	= $(DYNAMIC_LDFLAGS) -Wl,-soname=$(INSTALL_HOSTSDK_LINK_ABI)

## For OS/X with g++:
#DYNAMIC_LDFLAGS		= -dynamiclib
#PLUGIN_LDFLAGS			= $(DYNAMIC_LDFLAGS)
#SDK_DYNAMIC_LDFLAGS		= $(DYNAMIC_LDFLAGS)
#HOSTSDK_DYNAMIC_LDFLAGS	= $(DYNAMIC_LDFLAGS)


### End of user-serviceable parts


API_HEADERS	= \
		$(APIDIR)/vamp.h

SDK_HEADERS	= \
		$(SDKDIR)/Plugin.h \
		$(SDKDIR)/PluginAdapter.h \
		$(SDKDIR)/PluginBase.h \
		$(SDKDIR)/RealTime.h

HOSTSDK_HEADERS	= \
		$(SDKDIR)/Plugin.h \
		$(SDKDIR)/PluginBase.h \
		$(SDKDIR)/PluginHostAdapter.h \
		$(SDKDIR)/RealTime.h

HOSTEXT_HEADERS = \
		$(HOSTEXTDIR)/PluginBufferingAdapter.h \
		$(HOSTEXTDIR)/PluginChannelAdapter.h \
		$(HOSTEXTDIR)/PluginInputDomainAdapter.h \
		$(HOSTEXTDIR)/PluginLoader.h \
		$(HOSTEXTDIR)/PluginWrapper.h

SDK_OBJECTS	= \
		$(SDKDIR)/PluginAdapter.o \
		$(SDKDIR)/RealTime.o

HOSTSDK_OBJECTS	= \
		$(SDKDIR)/PluginHostAdapter.o \
		$(HOSTEXTDIR)/PluginBufferingAdapter.o \
		$(HOSTEXTDIR)/PluginChannelAdapter.o \
		$(HOSTEXTDIR)/PluginInputDomainAdapter.o \
		$(HOSTEXTDIR)/PluginLoader.o \
		$(HOSTEXTDIR)/PluginWrapper.o \
		$(SDKDIR)/RealTime.o

SDK_STATIC	= \
		$(SDKDIR)/libvamp-sdk.a

HOSTSDK_STATIC	= \
		$(SDKDIR)/libvamp-hostsdk.a

SDK_DYNAMIC	= \
		$(SDKDIR)/libvamp-sdk$(PLUGIN_EXT)

HOSTSDK_DYNAMIC	= \
		$(SDKDIR)/libvamp-hostsdk$(PLUGIN_EXT)

SDK_LA		= \
		$(SDKDIR)/libvamp-sdk.la

HOSTSDK_LA	= \
		$(SDKDIR)/libvamp-hostsdk.la

PLUGIN_HEADERS	= \
		$(EXAMPLEDIR)/SpectralCentroid.h \
		$(EXAMPLEDIR)/PercussionOnsetDetector.h \
		$(EXAMPLEDIR)/AmplitudeFollower.h \
		$(EXAMPLEDIR)/ZeroCrossing.h

PLUGIN_OBJECTS	= \
		$(EXAMPLEDIR)/SpectralCentroid.o \
		$(EXAMPLEDIR)/PercussionOnsetDetector.o \
		$(EXAMPLEDIR)/AmplitudeFollower.o \
		$(EXAMPLEDIR)/ZeroCrossing.o \
		$(EXAMPLEDIR)/plugins.o

PLUGIN_TARGET	= \
		$(EXAMPLEDIR)/vamp-example-plugins$(PLUGIN_EXT)

HOST_HEADERS	= \
		$(HOSTDIR)/system.h

HOST_OBJECTS	= \
		$(HOSTDIR)/vamp-simple-host.o

HOST_TARGET	= \
		$(HOSTDIR)/vamp-simple-host

sdk:		sdkstatic $(SDK_DYNAMIC) $(HOSTSDK_DYNAMIC)

sdkstatic:	$(SDK_STATIC) $(HOSTSDK_STATIC)
		$(RANLIB) $(SDK_STATIC)
		$(RANLIB) $(HOSTSDK_STATIC)

plugins:	$(PLUGIN_TARGET)

host:		$(HOST_TARGET)

all:		sdk plugins host test

$(SDK_STATIC):	$(SDK_OBJECTS) $(API_HEADERS) $(SDK_HEADERS)
		$(AR) r $@ $(SDK_OBJECTS)

$(HOSTSDK_STATIC):	$(HOSTSDK_OBJECTS) $(API_HEADERS) $(HOSTSDK_HEADERS) $(HOSTEXT_HEADERS)
		$(AR) r $@ $(HOSTSDK_OBJECTS)

$(SDK_DYNAMIC):	$(SDK_OBJECTS) $(API_HEADERS) $(SDK_HEADERS)
		$(CXX) $(LDFLAGS) $(SDK_DYNAMIC_LDFLAGS) -o $@ $(SDK_OBJECTS)

$(HOSTSDK_DYNAMIC):	$(HOSTSDK_OBJECTS) $(API_HEADERS) $(HOSTSDK_HEADERS) $(HOSTEXT_HEADERS)
		$(CXX) $(LDFLAGS) $(HOSTSDK_DYNAMIC_LDFLAGS) -o $@ $(HOSTSDK_OBJECTS)

$(PLUGIN_TARGET):	$(PLUGIN_OBJECTS) $(SDK_STATIC) $(PLUGIN_HEADERS)
		$(CXX) $(LDFLAGS) $(PLUGIN_LDFLAGS) -o $@ $(PLUGIN_OBJECTS) $(PLUGIN_LIBS)

$(HOST_TARGET):	$(HOST_OBJECTS) $(HOSTSDK_STATIC) $(HOST_HEADERS)
		$(CXX) $(LDFLAGS) $(HOST_LDFLAGS) -o $@ $(HOST_OBJECTS) $(HOST_LIBS)

test:		plugins host
		VAMP_PATH=$(EXAMPLEDIR) $(HOST_TARGET) -l

clean:		
		rm -f $(SDK_OBJECTS) $(HOSTSDK_OBJECTS) $(PLUGIN_OBJECTS) $(HOST_OBJECTS)

distclean:	clean
		rm -f $(SDK_STATIC) $(SDK_DYNAMIC) $(HOSTSDK_STATIC) $(HOSTSDK_DYNAMIC) $(PLUGIN_TARGET) $(HOST_TARGET) *~ */*~

install:	$(SDK_STATIC) $(SDK_DYNAMIC) $(HOSTSDK_STATIC) $(HOSTSDK_DYNAMIC) $(PLUGIN_TARGET) $(HOST_TARGET)
		mkdir -p $(DESTDIR)$(INSTALL_API_HEADERS)
		mkdir -p $(DESTDIR)$(INSTALL_SDK_HEADERS)
		mkdir -p $(DESTDIR)$(INSTALL_HOSTEXT_HEADERS)
		mkdir -p $(DESTDIR)$(INSTALL_SDK_LIBS)
		mkdir -p $(DESTDIR)$(INSTALL_PKGCONFIG)
		cp $(API_HEADERS) $(DESTDIR)$(INSTALL_API_HEADERS)
		cp $(SDK_HEADERS) $(DESTDIR)$(INSTALL_SDK_HEADERS)
		cp $(HOSTSDK_HEADERS) $(DESTDIR)$(INSTALL_SDK_HEADERS)
		cp $(HOSTEXT_HEADERS) $(DESTDIR)$(INSTALL_HOSTEXT_HEADERS)
		cp $(SDK_STATIC) $(DESTDIR)$(INSTALL_SDK_LIBS)
		cp $(HOSTSDK_STATIC) $(DESTDIR)$(INSTALL_SDK_LIBS)
		cp $(SDK_DYNAMIC) $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_SDK_LIBNAME)
		cp $(HOSTSDK_DYNAMIC) $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_HOSTSDK_LIBNAME)
		rm -f $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_SDK_LINK_ABI)
		ln -s $(INSTALL_SDK_LIBNAME) $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_SDK_LINK_ABI)
		rm -f $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_HOSTSDK_LINK_ABI)
		ln -s $(INSTALL_HOSTSDK_LIBNAME) $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_HOSTSDK_LINK_ABI)
		rm -f $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_SDK_LINK_DEV)
		ln -s $(INSTALL_SDK_LIBNAME) $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_SDK_LINK_DEV)
		rm -f $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_HOSTSDK_LINK_DEV)
		ln -s $(INSTALL_HOSTSDK_LIBNAME) $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_HOSTSDK_LINK_DEV)
		sed "s,%PREFIX%,$(INSTALL_PREFIX)," $(APIDIR)/vamp.pc.in \
		> $(DESTDIR)$(INSTALL_PKGCONFIG)/vamp.pc
		sed "s,%PREFIX%,$(INSTALL_PREFIX)," $(SDKDIR)/vamp-sdk.pc.in \
		> $(DESTDIR)$(INSTALL_PKGCONFIG)/vamp-sdk.pc
		sed "s,%PREFIX%,$(INSTALL_PREFIX)," $(SDKDIR)/vamp-hostsdk.pc.in \
		> $(DESTDIR)$(INSTALL_PKGCONFIG)/vamp-hostsdk.pc
		sed -e "s,%LIBNAME%,$(INSTALL_SDK_LIBNAME),g" \
		    -e "s,%LINK_ABI%,$(INSTALL_SDK_LINK_ABI),g" \
		    -e "s,%LINK_DEV%,$(INSTALL_SDK_LINK_DEV),g" \
		    -e "s,%STATIC%,$(INSTALL_SDK_STATIC),g" \
		    -e "s,%LIBS%,$(INSTALL_SDK_LIBS),g" $(SDK_LA).in \
		> $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_SDK_LA)
		sed -e "s,%LIBNAME%,$(INSTALL_HOSTSDK_LIBNAME),g" \
		    -e "s,%LINK_ABI%,$(INSTALL_HOSTSDK_LINK_ABI),g" \
		    -e "s,%LINK_DEV%,$(INSTALL_HOSTSDK_LINK_DEV),g" \
		    -e "s,%STATIC%,$(INSTALL_HOSTSDK_STATIC),g" \
		    -e "s,%LIBS%,$(INSTALL_SDK_LIBS),g" $(HOSTSDK_LA).in \
		> $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_HOSTSDK_LA)

## vamp-plugin-sdk 1.3

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 # Compile flags
 #
-CXXFLAGS	:= $(CXXFLAGS) -O2 -Wall -I. -fPIC 
+CXXFLAGS	:= $(CXXFLAGS) -O2 -Wall -I. -fPIC
 
 # ar, ranlib
 #
@@ -40,8 +40,8 @@
 # because our plugin exposes only a C API so there are no boundary
 # compatibility problems.)
 #
-PLUGIN_LIBS	= $(SDKDIR)/libvamp-sdk.a
-#PLUGIN_LIBS	= $(SDKDIR)/libvamp-sdk.a $(shell g++ -print-file-name=libstdc++.a)
+#PLUGIN_LIBS	= $(SDKDIR)/libvamp-sdk.a
+PLUGIN_LIBS	= $(SDKDIR)/libvamp-sdk.a $(shell g++ -print-file-name=libstdc++.a)
 
 # File extension for a dynamically loadable object
 #
@@ -57,7 +57,7 @@
 # editing for non-Linux platforms.  Of course you don't necessarily
 # have to use "make install".
 #
-INSTALL_PREFIX	 	  := /usr
+INSTALL_PREFIX	 	  := /usr/local
 INSTALL_API_HEADERS	  := $(INSTALL_PREFIX)/include/vamp
 INSTALL_SDK_HEADERS	  := $(INSTALL_PREFIX)/include/vamp-sdk
 INSTALL_HOSTEXT_HEADERS	  := $(INSTALL_PREFIX)/include/vamp-sdk/hostext
@@ -79,10 +79,15 @@
 
 # Flags required to tell the compiler to create a dynamically loadable object
 #
-DYNAMIC_LDFLAGS		= --static-libgcc -shared -Wl,-Bsymbolic
-PLUGIN_LDFLAGS		= $(DYNAMIC_LDFLAGS)
+DYNAMIC_LDFLAGS		= -static-libgcc -shared -Wl,-Bsymbolic
 SDK_DYNAMIC_LDFLAGS	= $(DYNAMIC_LDFLAGS) -Wl,-soname=$(INSTALL_SDK_LINK_ABI)
 HOSTSDK_DYNAMIC_LDFLAGS	= $(DYNAMIC_LDFLAGS) -Wl,-soname=$(INSTALL_HOSTSDK_LINK_ABI)
+
+# Additional flags for making a plugin.  This version script tells the
+# GNU linker to make all symbols in the library hidden except for the
+# public entry point.  It's not essential, but makes a tidier library.
+PLUGIN_LDFLAGS		= $(DYNAMIC_LDFLAGS) -Wl,--version-script=vamp-plugin.map
+
 
 ## For OS/X with g++:
 #DYNAMIC_LDFLAGS		= -dynamiclib
@@ -252,3 +257,57 @@
 		    -e "s,%LIBS%,$(INSTALL_SDK_LIBS),g" $(HOSTSDK_LA).in \
 		> $(DESTDIR)$(INSTALL_SDK_LIBS)/$(INSTALL_HOSTSDK_LA)
 
+# DO NOT DELETE
+
+examples/AmplitudeFollower.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+examples/AmplitudeFollower.o: vamp-sdk/RealTime.h
+examples/PercussionOnsetDetector.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+examples/PercussionOnsetDetector.o: vamp-sdk/RealTime.h
+examples/SpectralCentroid.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+examples/SpectralCentroid.o: vamp-sdk/RealTime.h
+examples/ZeroCrossing.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+examples/ZeroCrossing.o: vamp-sdk/RealTime.h
+vamp-sdk/PluginAdapter.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+vamp-sdk/PluginAdapter.o: vamp-sdk/RealTime.h
+vamp-sdk/Plugin.o: vamp-sdk/PluginBase.h vamp-sdk/RealTime.h
+vamp-sdk/PluginHostAdapter.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+vamp-sdk/PluginHostAdapter.o: vamp-sdk/RealTime.h
+examples/AmplitudeFollower.o: examples/AmplitudeFollower.h vamp-sdk/Plugin.h
+examples/AmplitudeFollower.o: vamp-sdk/PluginBase.h vamp-sdk/RealTime.h
+examples/PercussionOnsetDetector.o: examples/PercussionOnsetDetector.h
+examples/PercussionOnsetDetector.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+examples/PercussionOnsetDetector.o: vamp-sdk/RealTime.h
+examples/plugins.o: vamp/vamp.h vamp-sdk/PluginAdapter.h vamp-sdk/Plugin.h
+examples/plugins.o: vamp-sdk/PluginBase.h vamp-sdk/RealTime.h
+examples/plugins.o: examples/ZeroCrossing.h vamp-sdk/Plugin.h
+examples/plugins.o: examples/SpectralCentroid.h
+examples/plugins.o: examples/PercussionOnsetDetector.h
+examples/plugins.o: examples/AmplitudeFollower.h
+examples/SpectralCentroid.o: examples/SpectralCentroid.h vamp-sdk/Plugin.h
+examples/SpectralCentroid.o: vamp-sdk/PluginBase.h vamp-sdk/RealTime.h
+examples/ZeroCrossing.o: examples/ZeroCrossing.h vamp-sdk/Plugin.h
+examples/ZeroCrossing.o: vamp-sdk/PluginBase.h vamp-sdk/RealTime.h
+host/vamp-simple-host.o: vamp-sdk/PluginHostAdapter.h vamp-sdk/Plugin.h
+host/vamp-simple-host.o: vamp-sdk/PluginBase.h vamp-sdk/RealTime.h
+host/vamp-simple-host.o: vamp-sdk/hostext/PluginChannelAdapter.h
+host/vamp-simple-host.o: vamp-sdk/hostext/PluginWrapper.h
+host/vamp-simple-host.o: vamp-sdk/hostext/PluginInputDomainAdapter.h
+host/vamp-simple-host.o: vamp-sdk/hostext/PluginLoader.h vamp/vamp.h
+host/vamp-simple-host.o: host/system.h
+vamp-sdk/PluginAdapter.o: vamp-sdk/PluginAdapter.h vamp/vamp.h
+vamp-sdk/PluginAdapter.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+vamp-sdk/PluginAdapter.o: vamp-sdk/RealTime.h
+vamp-sdk/PluginHostAdapter.o: vamp-sdk/PluginHostAdapter.h vamp/vamp.h
+vamp-sdk/PluginHostAdapter.o: vamp-sdk/Plugin.h vamp-sdk/PluginBase.h
+vamp-sdk/PluginHostAdapter.o: vamp-sdk/RealTime.h
+vamp-sdk/RealTime.o: vamp-sdk/RealTime.h
+vamp-sdk/hostext/PluginBufferingAdapter.o: vamp-sdk/hostext/PluginWrapper.h
+vamp-sdk/hostext/PluginBufferingAdapter.o: vamp-sdk/Plugin.h
+vamp-sdk/hostext/PluginBufferingAdapter.o: vamp-sdk/PluginBase.h
+vamp-sdk/hostext/PluginBufferingAdapter.o: vamp-sdk/RealTime.h
+vamp-sdk/hostext/PluginChannelAdapter.o: vamp-sdk/hostext/PluginWrapper.h
+vamp-sdk/hostext/PluginChannelAdapter.o: vamp-sdk/Plugin.h
+vamp-sdk/hostext/PluginChannelAdapter.o: vamp-sdk/PluginBase.h
+vamp-sdk/hostext/PluginChannelAdapter.o: vamp-sdk/RealTime.h
+vamp-sdk/hostext/PluginInputDomainAdapter.o: vamp-sdk/hostext/PluginWrapper.h
+vamp-sdk/hostext/PluginInputDomainAdapter.o: vamp-sdk/Plugin.h

## vamp-plugin-sdk 2.4

=== debian/changelog ===
vamp-plugin-sdk (2.4-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release (Closes: #603814)
  * Adopting by team. (Closes: #688625)
  * Set priority optional (Closes: #566594)
  * Bump Standards.
  * Introducing Format 3.0
  * Added gbp.conf
  * Fix watch file.
  * Update copyright file.
  * Switch to short dh.
  * Set dh/compat 9
  * Added misc:Depends for doc package.
  * Introducing multi-arch.
  * Remove .a .la files.

  [ Alessio Treglia ]
  * Move vamp-rdf-template-generator from vamp-plugin-sdk to
    vamp-examples to meet Multiarch.
  * Allow DM uploads.
  * Add Vcs-* fields.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 29 Oct 2012 12:55:07 +0100

vamp-plugin-sdk (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #560337)
  * Added skeleton/ to vamp-plugin-sdk
  * Added vamp-rdf-tempate-generator to vamp-plugin-sdk
  * Added manpage for vamp-rdf-template-generator TODO
  * Don't run `$(MAKE) test` if `nocheck` is present in DEB_BUILD_OPTIONS.
    This involves running several $(MAKE)s with specific targets instead
    of one generic run. TODO: check Makefile for new targets on every new
    upstream release.
  * Fixed typo in debian/control, libvamp-sdk2
  * Fixed debian/vamp-plugin-sdk.examples so source code for example plugins
    is really installed now
  * Added #include <cstdio> to examples/FixedTempoEstimator.cpp to build
    with GCC 4.3 (Closes: #562653)
  * Provide a doc-base control file in vamp-plugin-sdk-doc
  * Bumped Standards-Version to 3.8.3

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Wed, 23 Dec 2009 19:15:05 +0100

vamp-plugin-sdk (2.0-1) unstable; urgency=low

  * New upstream release
  * Adopted to new upstream build process (GNU Autoconf)
  * Bumped Standards-Version to 3.8.1
  * Renamed libvamp-sdk1 to libvamp-sdk2
  * Renamed libvamp-hostsdk2 to libvamp-hostsdk3

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Thu, 17 Apr 2009 13:03:58 +0200

vamp-plugin-sdk (1.3-1) unstable; urgency=low

  * New upstream release
  * Reverted changes made to the source in 1.2-1.1 (fixed in upstream)
  * Moved doxygenerated documentation into a separate Architecture: all
    package (vamp-plugin-sdk-doc) (required giving -a to dh_* in
    binary-arch and -i in binary-indep)
  * debian/rules: removed hardcoded version numbers from get-orig-source,
    relpaced with dynamic upstream version number (determined from
    debian/changelog)
  * debian/control: added Homepage: control field
  * Makefile: made adjustments so vamp-simple-host is now dynamically
    linked against libraries from libvamp-hostsdk2 and example plugins use
    libvamp-sdk1

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Fri, 01 Aug 2008 16:55:36 +0200

vamp-plugin-sdk (1.2-1.1) unstable; urgency=high

  * NMU to fix build with gcc 4.3 (Closes: #482571, #483321)
    - vamp-sdk/PluginAdapter.cpp: #include <cstring> and <cstdlib>
    - vamp-sdk/PluginHostAdapter.cpp: <cstdlib>
    - vamp-sdk/hostext/PluginLoader.cpp: <cstring>
    - host/vamp-simple-host.cpp: <cstring> and <cstdlib>
  * Bump Standards-Version to 3.8.0

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Sun, 15 Jun 2008 22:22:53 +0200

vamp-plugin-sdk (1.2-1) unstable; urgency=low

  * New upstream release

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Tue, 15 Apr 2008 19:05:36 +0200

vamp-plugin-sdk (1.1b-1) unstable; urgency=low

  * Initial release (Closes: #463754)

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Mon, 11 Feb 2008 01:02:37 +0100

=== debian/control ===
Source: vamp-plugin-sdk
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 docbook-to-man,
 doxygen,
 graphviz,
 libsndfile1-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://www.vamp-plugins.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vamp-plugin-sdk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vamp-plugin-sdk.git

Package: vamp-plugin-sdk
Architecture: any
Depends:
 libvamp-hostsdk3 (= ${binary:Version}),
 libvamp-sdk2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Description: audio analysis and feature extraction plugins (SDK)
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 Just like an audio effects plugin (such as a VST), a Vamp plugin is a
 binary module that can be loaded up by a host application and fed
 audio data. However, unlike an effects plugin, a Vamp plugin outputs
 not processed audio but some sort of symbolic information. Typical
 things that a Vamp plugin might calculate include the locations of
 moments such as note onset times, visual representations of the audio
 such as histograms, or curve data such as power or fundamental
 frequency.
 .
 Hosts using Vamp plugins include Audacity and Sonic Visualiser.
 .
 This package contains C and C++ header files for developing Vamp
 plugins and hosts as well as source code of example plugins and a
 simple host.

Package: libvamp-sdk2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Description: helper library for Vamp plugins written in C++
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 If you want to develop Vamp plugins in C++, you should use this
 library to expose the official C API to hosts.

Package: libvamp-hostsdk3
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Description: helper library for Vamp hosts written in C++
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 This library contains handy classes for using Vamp plugins from
 hosts written in C++.

Package: vamp-examples
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: vamp-plugin-sdk (<< 2.4-1~)
Replaces: vamp-plugin-sdk (<< 2.4-1~)
Description: example Vamp plugins, host and RDF generator
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 This package contains the following example plugins:
 .
  * Zero Crossings calculates the positions and density of
    zero-crossing points in an audio waveform.
 .
  * Spectral Centroid calculates the centre of gravity of the
    frequency domain representation of each block of audio.
 .
  * Simple Power Spectrum calculates a power spectrum from the input
    audio.  Actually, it doesn't do any work except calculating power
    from a cartesian complex FFT output.  The work of calculating this
    frequency domain output is done for it by the host or host SDK; the
    plugin just needs to declare that it wants frequency domain
    input. This is the simplest of the example plugins.
 .
  * Amplitude Follower is an implementation of SuperCollider's
    amplitude-follower algorithm as a simple Vamp plugin.
 .
  * Simple Percussion Onset Detector: estimates the locations of
    percussive onsets using a simple method described in "Drum Source
    Separation using Percussive Feature Detection and Spectral
    Modulation" by Dan Barry, Derry Fitzgerald, Eugene Coyle and Bob
    Lawlor, ISSC 2005.
 .
  * Simple Fixed Tempo Estimator: calculates a single beats-per-minute
    value which is an estimate of the tempo of a piece of music that is
    assumed to be of fixed tempo, using autocorrelation of a frequency
    domain energy rise metric.  It has several outputs that return
    intermediate results used in the calculation, and may be a useful
    example of a plugin having several outputs with varying feature
    structures.
 .
 Also included is a simple host that can enumerate plugins, list their
 features, and process an audio file as well as a utility to generate
 Vamp plugin RDF templates.

Package: vamp-plugin-sdk-doc
Architecture: all
Depends:
 ${misc:Depends}
Section: doc
Description: audio analysis and feature extraction plugins (API documentation)
 Vamp is an audio processing plugin system for plugins that extract
 descriptive information from audio data - typically referred to as
 audio analysis plugins or audio feature extraction plugins.
 .
 This package contains API specification for Vamp plugins and
 documentation for libraries provided by the libvamp-hostsdk3 and
 libvamp-sdk2 packages.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@


override_dh_auto_build:
	dh_auto_build
	doxygen build/Doxyfile
	docbook-to-man debian/vamp-simple-host.sgml > vamp-simple-host.1
	docbook-to-man debian/vamp-rdf-template-generator.sgml > vamp-rdf-template-generator.1

=== debian/watch ===
version=3

http://code.soundsoftware.ac.uk/projects/vamp-plugin-sdk/files \
	/attachments/download/\d+/vamp-plugin-sdk-(\d.\d)\.tar\.gz

## vamp-plugin-sdk 2.5

=== debian/changelog ===
vamp-plugin-sdk (2.5-1) unstable; urgency=low

  * New upstream release.
  * Bump standards.
  * Refreshed patch.
  * Fix .gitignore file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 14 May 2013 00:21:08 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
  doxygen,
  graphviz,
  libsndfile1-dev
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.vamp-plugins.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vamp-plugin-sdk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vamp-plugin-sdk.git

## vamp-plugin-sdk 2.5%2Brepack0

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: vamp-plugin-sdk
-Section: sound
+Section: libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
+ dh-autoreconf,
  docbook-to-man,
  doxygen,
  graphviz,
  libsndfile1-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.vamp-plugins.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vamp-plugin-sdk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vamp-plugin-sdk.git

## vamp-plugin-sdk 2.5+repack0

=== debian/changelog ===
vamp-plugin-sdk (2.5+repack0-2) unstable; urgency=medium

  * Team upload.
  * Fix pkg-config patch to let autoconf set the prefix variable.

 -- Benjamin Drung <bdrung@debian.org>  Sun, 23 Mar 2014 17:10:01 +0100

vamp-plugin-sdk (2.5+repack0-1) unstable; urgency=low

  * Imported Upstream version 2.5+repack0
  * Set section libs.
  * Repack scripts updated.
  * Bump Standards.
  * Added patch to fix pkg-config (Closes: #728826)
  * Added overrides file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 27 Feb 2014 13:43:11 +0100

vamp-plugin-sdk (2.5-2) unstable; urgency=low

  * Reintroduce *.a files. (Closes: #715506)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 06 Aug 2013 10:38:58 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DESTDIR=$(CURDIR)/debian/tmp
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 
 override_dh_auto_build:

=== debian/watch ===
version=3
opts=dversionmangle=s/~repack.*// \
http://code.soundsoftware.ac.uk/projects/vamp-plugin-sdk/files \
	/attachments/download/\d+/vamp-plugin-sdk-([\d.]+)\.tar\.gz \
	debian sh debian/repack.stub

## vamp-plugin-sdk 2.6~repack0

=== debian/changelog ===
vamp-plugin-sdk (2.6~repack0-2) unstable; urgency=medium

  * Team upload.
  * Rename packages for GCC 5 transition.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 06 Aug 2015 19:22:09 +0200

vamp-plugin-sdk (2.6~repack0-1) unstable; urgency=medium

  * Introduce get-orig-source.
  * Adapt watch file to new way of repacking.
  * Remove old repacking scripts.
  * Patches refreshed.
  * Bump Standards.
  * Not install useless autogenerated doxygen file.
  * Enable parallel build.
  * Not install useless autogenerated doxygen files.
  * Not install embedded javascript library.
  * Patches forwarded.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 16 Jun 2015 21:33:23 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
  docbook-to-man,
  doxygen,
  graphviz,
- libsndfile1-dev
-Standards-Version: 3.9.5
+ libsndfile1-dev,
+ libjs-jquery,
+ g++ (>= 4:5.2)
+Standards-Version: 3.9.6
 Homepage: http://www.vamp-plugins.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vamp-plugin-sdk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vamp-plugin-sdk.git
@@ -19,8 +21,8 @@
 Package: vamp-plugin-sdk
 Architecture: any
 Depends:
- libvamp-hostsdk3 (= ${binary:Version}),
- libvamp-sdk2 (= ${binary:Version}),
+ libvamp-hostsdk3v5 (= ${binary:Version}),
+ libvamp-sdk2v5 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Multi-Arch: same
@@ -44,7 +46,7 @@
  plugins and hosts as well as source code of example plugins and a
  simple host.
 
-Package: libvamp-sdk2
+Package: libvamp-sdk2v5
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -52,6 +54,10 @@
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
+Breaks:
+ libvamp-sdk2
+Replaces:
+ libvamp-sdk2
 Description: helper library for Vamp plugins written in C++
  Vamp is an audio processing plugin system for plugins that extract
  descriptive information from audio data - typically referred to as
@@ -60,7 +66,7 @@
  If you want to develop Vamp plugins in C++, you should use this
  library to expose the official C API to hosts.
 
-Package: libvamp-hostsdk3
+Package: libvamp-hostsdk3v5
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -68,6 +74,10 @@
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
+Breaks:
+ libvamp-hostsdk3
+Replaces:
+ libvamp-hostsdk3
 Description: helper library for Vamp hosts written in C++
  Vamp is an audio processing plugin system for plugins that extract
  descriptive information from audio data - typically referred to as

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
+dfsg_version = $(upstream_version)~repack0
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
 LDFLAGS+=-Wl,--as-needed
 
@@ -8,11 +12,26 @@
 export DESTDIR=$(CURDIR)/debian/tmp
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf --parallel
 
 
 override_dh_auto_build:
 	dh_auto_build
 	doxygen build/Doxyfile
+	# Don't install useless autogenerated doxygen files
+	rm $(CURDIR)/doc/html/*.md5
+	# Don't install embedded javascript library
+	rm $(CURDIR)/doc/html/jquery.js
 	docbook-to-man debian/vamp-simple-host.sgml > vamp-simple-host.1
 	docbook-to-man debian/vamp-rdf-template-generator.sgml > vamp-rdf-template-generator.1
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=.
+	tar -xf $(pkg)_$(upstream_version).orig.tar.gz
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	rm $(pkg)-$(dfsg_version)/.hg*
+	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
+	xz -zf $(pkg)_$(dfsg_version).orig.tar
+	rm -rf $(pkg)-$(dfsg_version)
+	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
+	mv $(pkg)_$(upstream_version).orig.tar.gz ../$(pkg)_$(upstream_version).orig.tar.gz

## vamp-plugin-sdk 2.7.1~repack0

=== debian/changelog ===
vamp-plugin-sdk (2.7.1~repack0-1) unstable; urgency=medium

  * New upstream version 2.7.1~repack0
  * Bump Standards.
  * Patches refreshed.
  * Remove substitution variable 'shlibs:Depends' from vamp-plugin-sdk package.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Jun 2017 00:29:24 +0200

vamp-plugin-sdk (2.6~repack0-3) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Fix VCS fields.
  * Fix hardening.
  * Set section sound for vamp-examples package.
  * Avoid most useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Dec 2016 23:48:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,24 @@
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 10),
  docbook-to-man,
  doxygen,
  graphviz,
  libsndfile1-dev,
  libjs-jquery,
  g++ (>= 4:5.2)
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://www.vamp-plugins.org/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vamp-plugin-sdk.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/vamp-plugin-sdk.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/vamp-plugin-sdk.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vamp-plugin-sdk.git
 
 Package: vamp-plugin-sdk
 Architecture: any
 Depends:
  libvamp-hostsdk3v5 (= ${binary:Version}),
  libvamp-sdk2v5 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
+ ${misc:Depends}
 Multi-Arch: same
 Description: audio analysis and feature extraction plugins (SDK)
  Vamp is an audio processing plugin system for plugins that extract
@@ -88,6 +86,7 @@
 
 Package: vamp-examples
 Architecture: any
+Section: sound
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 dfsg_version = $(upstream_version)~repack0
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
-LDFLAGS+=-Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export DEB_LDFLAGS_MAINT_APPEND = -ldl -Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export PREFIX=/usr
@@ -12,7 +14,7 @@
 export DESTDIR=$(CURDIR)/debian/tmp
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 
 override_dh_auto_build:

=== debian/watch ===
version=3
opts=dversionmangle=s/~repack.*// \
http://code.soundsoftware.ac.uk/projects/vamp-plugin-sdk/files \
	/attachments/download/\d+/vamp-plugin-sdk-([\d.]+)\.tar\.gz

## vamp-plugin-sdk 2.9.0

=== debian/changelog ===
vamp-plugin-sdk (2.9.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:11:21 +0100

vamp-plugin-sdk (2.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/copyright: Update copyright info
  * debian/control:
    - Remove obsolete Breaks+Replaces+Pre-Depends
    - Bump debhelper compat to 12
    - Bump Standards-Version
  * debian/rules:
    - Do not remove Doxygen's jquery
    - Split build override
  * debian/patches:
    - Refresh patches
    - Fix underlinking properly

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 21 Nov 2019 23:51:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: vamp-plugin-sdk
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  docbook-to-man,
- doxygen,
  graphviz,
  libsndfile1-dev,
- libjs-jquery,
  g++ (>= 4:5.2)
-Standards-Version: 4.0.0
+Build-Depends-Indep:
+ doxygen
+Standards-Version: 4.4.1
 Homepage: http://www.vamp-plugins.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/vamp-plugin-sdk.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vamp-plugin-sdk.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/vamp-plugin-sdk.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/vamp-plugin-sdk
 
 Package: vamp-plugin-sdk
 Architecture: any
@@ -50,12 +50,6 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Breaks:
- libvamp-sdk2
-Replaces:
- libvamp-sdk2
 Description: helper library for Vamp plugins written in C++
  Vamp is an audio processing plugin system for plugins that extract
  descriptive information from audio data - typically referred to as
@@ -70,12 +64,6 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Breaks:
- libvamp-hostsdk3
-Replaces:
- libvamp-hostsdk3
 Description: helper library for Vamp hosts written in C++
  Vamp is an audio processing plugin system for plugins that extract
  descriptive information from audio data - typically referred to as
@@ -90,8 +78,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks: vamp-plugin-sdk (<< 2.4-1~)
-Replaces: vamp-plugin-sdk (<< 2.4-1~)
 Description: example Vamp plugins, host and RDF generator
  Vamp is an audio processing plugin system for plugins that extract
  descriptive information from audio data - typically referred to as

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@

override_dh_auto_build-arch:
	dh_auto_build
	docbook-to-man debian/vamp-simple-host.sgml > vamp-simple-host.1
	docbook-to-man debian/vamp-rdf-template-generator.sgml > vamp-rdf-template-generator.1

override_dh_auto_build-indep:
	doxygen build/Doxyfile
	# Don't install useless autogenerated doxygen files
	rm $(CURDIR)/doc/html/*.md5

## vamp-plugin-sdk 2.10.0

=== debian/changelog ===
vamp-plugin-sdk (2.10.0-5) unstable; urgency=medium

  * Team upload.

  * Upload to unstable.
  * Add time64 compat hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 26 Jun 2024 15:51:23 +0200

vamp-plugin-sdk (2.10.0-5~exp) experimental; urgency=medium

  * Team upload.

  * Rename libraries for 64-bit time_t transition. (Closes: #1069317)
  * B-D on 'pkgconf' rather than 'pkg-config'
  * Add autopkgtest
  * Streamlined copyright information
    + Add 'licensecheck' target
    + Generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Jun 2024 16:12:45 +0200

vamp-plugin-sdk (2.10.0-4) unstable; urgency=medium

  * Clean files from successful build (Closes: #1046235)
  * Bump Standards-Version to 4.6.2
  * Change my email address

 -- Dennis Braun <snd@debian.org>  Sat, 23 Sep 2023 21:45:43 +0200

vamp-plugin-sdk (2.10.0-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to not force running tests, these are
    automatically taken care of in dh_auto_test step, which
    also helps fix cross-builds

 -- Nilesh Patra <nilesh@debian.org>  Sat, 22 Oct 2022 20:11:26 +0530

vamp-plugin-sdk (2.10.0-2) unstable; urgency=medium

  * Add pkg-config to B-Ds (Closes: #1020048)
  * Bump Standards Version to 4.6.1
  * Bump d/watch version to 4
  * Add salsa ci config
  * Remove unnecessary constraints
  * d/copyright: Add myself to the d/ section
  * Add d/source/lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 15 Oct 2022 19:13:19 +0200

vamp-plugin-sdk (2.10.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field
  * Fix day-of-week for changelog entry 2.0-1

  [ Dennis Braun ]
  * New upstream version 2.10.0
  * Update patchset
  * d/control
    + Bump dh-compat to 13
    + Bump S-V to 4.5.0
    + Mark vamp-plugin-sdk-doc as Multi-Arch: foreign
    + Add me as uploader
    + Set RRR: no
  * d/copyright: Use https protocol for source
  * d/copyright: Bump copyright year
  * Add d/not-installed
  * Add d/upstream/metadata
  * d/rules: Remove obsolete linker flags
  * d/watch: Use https protocol

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 25 May 2020 21:34:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,29 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Dennis Braun <snd@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  docbook-to-man,
+ dpkg-dev (>= 1.22.5),
  graphviz,
  libsndfile1-dev,
- g++ (>= 4:5.2)
+ pkgconf | pkg-config,
 Build-Depends-Indep:
- doxygen
-Standards-Version: 4.4.1
-Homepage: http://www.vamp-plugins.org/
+ doxygen,
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Homepage: https://www.vamp-plugins.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/vamp-plugin-sdk.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/vamp-plugin-sdk
 
 Package: vamp-plugin-sdk
 Architecture: any
 Depends:
- libvamp-hostsdk3v5 (= ${binary:Version}),
- libvamp-sdk2v5 (= ${binary:Version}),
- ${misc:Depends}
+ libvamp-hostsdk3t64 (= ${binary:Version}),
+ libvamp-sdk2t64 (= ${binary:Version}),
+ ${misc:Depends},
 Multi-Arch: same
 Description: audio analysis and feature extraction plugins (SDK)
  Vamp is an audio processing plugin system for plugins that extract
@@ -44,11 +47,18 @@
  plugins and hosts as well as source code of example plugins and a
  simple host.
 
-Package: libvamp-sdk2v5
+Package: libvamp-sdk2t64
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
+X-Time64-Compat: libvamp-sdk2v5
+Provides:
+ ${t64:Provides},
+Replaces:
+ libvamp-sdk2v5,
+Breaks:
+ libvamp-sdk2v5 (<< ${source:Version}),
 Multi-Arch: same
 Description: helper library for Vamp plugins written in C++
  Vamp is an audio processing plugin system for plugins that extract
@@ -58,11 +68,18 @@
  If you want to develop Vamp plugins in C++, you should use this
  library to expose the official C API to hosts.
 
-Package: libvamp-hostsdk3v5
+Package: libvamp-hostsdk3t64
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
+X-Time64-Compat: libvamp-hostsdk3v5
+Provides:
+ ${t64:Provides},
+Replaces:
+ libvamp-hostsdk3v5,
+Breaks:
+ libvamp-hostsdk3v5 (<< ${source:Version}),
 Multi-Arch: same
 Description: helper library for Vamp hosts written in C++
  Vamp is an audio processing plugin system for plugins that extract
@@ -77,7 +94,7 @@
 Section: sound
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Description: example Vamp plugins, host and RDF generator
  Vamp is an audio processing plugin system for plugins that extract
  descriptive information from audio data - typically referred to as
@@ -121,8 +138,9 @@
 
 Package: vamp-plugin-sdk-doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
 Section: doc
 Description: audio analysis and feature extraction plugins (API documentation)
  Vamp is an audio processing plugin system for plugins that extract

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export PREFIX=/usr
 export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
@@ -21,3 +20,16 @@
 	doxygen build/Doxyfile
 	# Don't install useless autogenerated doxygen files
 	rm $(CURDIR)/doc/html/*.md5
+
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*
+# licensecheck v1
+.PHONY: licensecheck
+licensecheck:
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints

=== debian/tests/control ===
Test-Command: make -C debian/tests
Restrictions:
 allow-stderr,
Depends:
 build-essential,
 pkgconf,
 vamp-plugin-sdk,
